Subject: [PATCH] Allow setting dev->weight using ip(8)

From: Eric Lemoine <[email-masked]>
Date: Mon, 30 Aug 2004 12:56:20 +0200

Hello

For my own testing purposes, I often need to modify dev->weight. So I
patched the kernel and iproute2 to be able to modify dev->weight using
ip(8). After all, one can modify tx_queue_len so why not weight?

Two kernel patches attached: one using the ioctl framework and another
using the rtnetlink framework. Warning: the attached rtnetlink patch
is a superset of Thomas Graf's rtnetlink patch for setting mtu and
tx_queue_len.

PS: both patches are against 2.6.5-rc3-ben0 but should apply to any 2.6.

--
Eric